# Cropbox

## What is Cropbox?

Cropbox is a declarative modeling framework specifically designed for developing crop models. The goal is to let crop modelers focus on *what* the model should look like rather than *how* the model is technically implemented under the hood.

## Getting started

* Read the [Installation](@ref) section.
* Read the [Guide](@ref) to understand the structure of models within Cropbox.
* Read the [Tutorials](@ref) for building your own model with Cropbox.
* Check out the [Gallery](@ref) to see what others have done with the Cropbox framework.

## Documentation Outline

**Guide** contains short explanations of performing specific tasks in Cropbox.

**Tutorials** contains detailed walkthroughs for creating your own model with Cropbox.

**Reference** contains a complete list of the macros and functions utilized in Cropbox.

**Gallery** includes a list of models created using the Cropbox framework.

**Frequently Asked Questions** section includes answers to common questions that have been asked by users of Cropbox.

## Citation

When using Cropbox in your work, please consider citing the following...
